Imports System.Windows.Forms

Public Class Dialog6
    Dim TCls As Class1
    Dim JumpUpDate As Boolean

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub Dialog6_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Text = "Calcolatore tolleranze"
        TCls = New Class1
        RadioButton2.Checked = True
        RadioButton3.Checked = True
        JumpUpDate = False
        DataGridView1.DataSource = Form1.DimDB.Tables(0)
        DataGridView1.AllowUserToAddRows = False
        DataGridView1.ReadOnly = True
    End Sub

    Private Sub txtUSL_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtUSL.TextChanged
        If JumpUpDate Then Exit Sub
        AssignTotxtBox(sender, sender.text)
    End Sub
    Private Sub txtLSL_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLSL.TextChanged
        If JumpUpDate Then Exit Sub
        AssignTotxtBox(sender, sender.text)
    End Sub
    Private Sub txtNom_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtNom.TextChanged
        If JumpUpDate Then Exit Sub
        AssignTotxtBox(sender, sender.text)
    End Sub
    Private Sub txtUT_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtUT.TextChanged
        If JumpUpDate Then Exit Sub
        AssignTotxtBox(sender, sender.text)
    End Sub
    Private Sub txtLT_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLT.TextChanged
        If JumpUpDate Then Exit Sub
        AssignTotxtBox(sender, sender.text)
    End Sub
    Private Sub AssignTotxtBox(ByVal Sender As Object, ByVal Val As String)
        If IsNumeric(Sender.Text) Then
            TCls.SpecUnitsAreMM = RadioButton1.Checked
            TCls.TolsUnitsAreMM = RadioButton3.Checked

            If Sender.Name = "txtUSL" Then TCls.USL = Sender.Text : TCls.CalcTols()
            If Sender.Name = "txtLSL" Then TCls.LSL = Sender.Text : TCls.CalcTols()
            If Sender.Name = "txtNom" Then TCls.Nom = Sender.Text : TCls.CalcSpecLimits()
            If Sender.Name = "txtUT" Then TCls.UT = Sender.Text : TCls.CalcSpecLimits()
            If Sender.Name = "txtLT" Then TCls.LT = Sender.Text : TCls.CalcSpecLimits()

            JumpUpDate = True
            If Sender.Name <> "txtUSL" And Sender.Name <> "txtLSL" Then txtUSL.Text = Format(TCls.moutUSL, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
            If Sender.Name <> "txtLSL" And Sender.Name <> "txtUSL" Then txtLSL.Text = Format(TCls.moutLSL, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
            If Sender.Name <> "txtNom" And Sender.Name <> "txtUT" And Sender.Name <> "txtLT" Then txtNom.Text = Format(TCls.moutNom, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
            If Sender.Name <> "txtNom" And Sender.Name <> "txtUT" And Sender.Name <> "txtLT" Then txtUT.Text = Format(TCls.moutUT, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
            If Sender.Name <> "txtNom" And Sender.Name <> "txtUT" And Sender.Name <> "txtLT" Then txtLT.Text = Format(TCls.moutLT, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
            JumpUpDate = False
        End If
    End Sub
    





    Private Sub RadioButton1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles RadioButton1.Click
        OnlyUnitsUpdate()
    End Sub
    Private Sub OnlyUnitsUpdate()
        TCls.SpecUnitsAreMM = RadioButton1.Checked
        TCls.TolsUnitsAreMM = RadioButton3.Checked
        TCls.CalcTols()
        TCls.CalcSpecLimits()
        JumpUpDate = True
        txtUSL.Text = Format(TCls.moutUSL, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
        txtLSL.Text = Format(TCls.moutLSL, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
        txtNom.Text = Format(TCls.moutNom, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
        txtUT.Text = Format(TCls.moutUT, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
        txtLT.Text = Format(TCls.moutLT, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, ""))
        JumpUpDate = False

    End Sub

    Private Sub RadioButton2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton2.CheckedChanged
        OnlyUnitsUpdate()
    End Sub

    Private Sub RadioButton3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton3.CheckedChanged
        OnlyUnitsUpdate()
    End Sub

    Private Sub RadioButton4_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton4.CheckedChanged
        OnlyUnitsUpdate()
    End Sub

    Private Sub butRegister_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles butRegister.Click
        Dim NewRow As DataRow, Str1 As String, Str2 As String
        TCls.CalcTols()
        TCls.CalcSpecLimits()
        If TCls.SpecUnitsAreMM Then Str1 = " mm" Else Str1 = " inch"
        If TCls.TolsUnitsAreMM Then Str2 = " mm" Else Str2 = " inch"
        NewRow = Form1.DimDB.Tables(0).NewRow
        NewRow(1) = Format(TCls.moutUSL, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, "")) & Str1
        NewRow(2) = Format(TCls.moutLSL, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, "")) & Str1
        NewRow(3) = Format(TCls.moutNom, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, "")) & Str2
        NewRow(4) = Format(TCls.moutUT, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, "")) & Str2
        NewRow(5) = Format(TCls.moutLT, Dialog4.FDecPlaces(My.Settings.DecimalPlaces, "")) & Str2
        Form1.DimDB.Tables(0).Rows.Add(NewRow)
        Form1.DimDB.AcceptChanges()
    End Sub
End Class
